import { AppRouterInstance } from "next/dist/shared/lib/app-router-context.shared-runtime";
/** @monorepo-internal */
export declare function useRouter(): AppRouterInstance;
/** @monorepo-internal */
export declare function usePathname(): string;
/** @monorepo-internal */
export declare function useSearchParams(): URLSearchParams;
